Public Class Form1
    'This is a sample application to show all the functions of JRCapturenet.dll  
    'You can reach me at my email address webmaster@jrsoft.de
    'to report any suggestion, bug report or problems
    'your facing, I can't guaranty an answer to your problem.
    'The control's web site is at:
    'http://www.jrsoft.de
    'There you will find a bunch of other Controls.


    '--------------------------------------------
    'be sure to have a reference to JRCaptureNET.dll
    '--------------------------------------------
    Dim JRCapture As New JRCaptureNet.Capture

#Region "normal capture functions with or without capture the Mousepointer"
    '-----------------------------------------------------------------
    Private Sub Desktop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DesktopToolStripMenuItem1.Click
        'capture Desktop
        'PictureBox1.Image = JRCapture.CaptureDesktop()
        'or
        JRCapture.CaptureDesktop()
        PictureBox1.Image = JRCapture.Picture
    End Sub
    Private Sub ActiveWindow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ActiveWindowToolStripMenuItem1.Click
        'capture active Window
        PictureBox1.Image = JRCapture.CaptureWin
    End Sub
    Private Sub RectangelArea_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RectangelAreaToolStripMenuItem1.Click
        'capture rectangel area
        If Not IsNothing(JRCapture.CaptureArea) Then
            PictureBox1.Image = JRCapture.Picture
        End If
    End Sub
#End Region

#Region "advanced capture functions with or without capture the Mousepointer"

    Private Sub DesktopRegion_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DesktopRegionToolStripMenuItem.Click
        'capture a region of the Desktop

        'define the region to capture 
        JRCapture.CaptureRegionHeight = 400
        JRCapture.CaptureRegionLeft = 300
        JRCapture.CaptureRegionTop = 200
        JRCapture.CaptureRegionWidth = 400

        'activate the region capture tool
        JRCapture.CaptureRegion = True
        PictureBox1.Image = JRCapture.CaptureDesktop()
        'deactivate the region capture tool
        JRCapture.CaptureRegion = False
    End Sub
    Private Sub ActiveWindowRegion_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ActiveWindowRegionToolStripMenuItem.Click
        'capture a region in the active Window

        'define the capture Region
        JRCapture.CaptureRegionHeight = 400
        JRCapture.CaptureRegionLeft = 300
        JRCapture.CaptureRegionTop = 200
        JRCapture.CaptureRegionWidth = 400

        'activate the region capture tool
        JRCapture.CaptureRegion = True
        PictureBox1.Image = JRCapture.CaptureWin
        'deactivate the region capture tool
        JRCapture.CaptureRegion = False
    End Sub
    Private Sub ByHandle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ByHWNDToolStripMenuItem.Click
        'capture a Object or Window by his handle
        PictureBox1.Image = JRCapture.CaptureByHWND(ToolStrip1.Handle)
    End Sub
    Private Sub RegionByHandle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RegionByHWNDToolStripMenuItem.Click
        'capture a region of an Object or Window by his handle

        'define the capture Region
        JRCapture.CaptureRegionHeight = 50
        JRCapture.CaptureRegionLeft = 5
        JRCapture.CaptureRegionTop = 5
        JRCapture.CaptureRegionWidth = 50

        'activate the region capture tool
        JRCapture.CaptureRegion = True
        PictureBox1.Image = JRCapture.CaptureByHWND(ToolStrip1.Handle)
        'deactivate the region capture tool
        JRCapture.CaptureRegion = False

    End Sub
    Private Sub RegionByHandleXTimes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RegionByHWNDXTimesToolStripMenuItem.Click
        Dim n As Long
        'capture a region of a Object or Window by his handle x times
        'define the capture Region
        JRCapture.CaptureRegionLeft = 10
        JRCapture.CaptureRegionTop = 0
        JRCapture.CaptureRegionWidth = 100
        JRCapture.CaptureRegionHeight = 50

        'activate the region capture tool
        JRCapture.CaptureRegion = True

        'set fast shooting
        JRCapture.CaptureDelayMs = 20  'yes you can go down to 0
        JRCapture.PlaySound = False

        'capture x times
        For n = 1 To 100
            'only for fun we scroll the capture region
            JRCapture.CaptureRegionLeft = JRCapture.CaptureRegionLeft + 5
            PictureBox1.Image = JRCapture.CaptureByHWND(ToolStrip1.Handle)
            PictureBox1.Refresh()
        Next n
        'deactivate the region capture tool
        JRCapture.CaptureRegion = False

        'back to the old settings
        JRCapture.PlaySound = CheckBox1.Checked
        JRCapture.CaptureDelayMs = Val(TextBox1.Text)

    End Sub
    Private Sub DesktopRegionXTimes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DesktopRegionXTimesToolStripMenuItem.Click
        Dim n As Long
        'capture a region of the desktop x times
        'define the capture Region
        JRCapture.CaptureRegionLeft = 10
        JRCapture.CaptureRegionTop = 20
        JRCapture.CaptureRegionWidth = 200
        JRCapture.CaptureRegionHeight = 250

        'activate the region capture tool
        JRCapture.CaptureRegion = True

        'set fast shooting
        JRCapture.CaptureDelayMs = 0
        JRCapture.PlaySound = False

        For n = 1 To 100
            'only for fun we scroll the capture region
            JRCapture.CaptureRegionLeft = JRCapture.CaptureRegionLeft + 2
            JRCapture.CaptureRegionTop = JRCapture.CaptureRegionTop + 2
            PictureBox1.Image = JRCapture.CaptureDesktop
            PictureBox1.Refresh()
        Next n
        'deactivate the region capture tool

        JRCapture.CaptureRegion = False

        'back to the old settings
        JRCapture.PlaySound = CheckBox1.Checked
        JRCapture.CaptureDelayMs = Val(TextBox1.Text)

    End Sub
#End Region

#Region "save the captured image to file"
    '-------------------------------------------------------
    Private Sub SaveAsBMP_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveAsBMPToolStripMenuItem.Click
        Dim picPath As String
        picPath = Application.StartupPath
        ' ggf. abschlieenden Backslash hinzufgen
        If Not picPath.EndsWith("\") Then picPath = picPath & "\"
        JRCapture.Save(picPath & "test.bmp")
    End Sub
    Private Sub SaveAsPNG_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveAsPNGToolStripMenuItem.Click
        Dim picPath As String
        picPath = Application.StartupPath
        ' ggf. abschlieenden Backslash hinzufgen
        If Not picPath.EndsWith("\") Then picPath = picPath & "\"
        JRCapture.Save(picPath & "test.png")

    End Sub
#End Region

#Region "settings for the capture control"
    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        JRCapture.PlaySound = CheckBox1.Checked
    End Sub
    Private Sub CheckBox2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox2.CheckedChanged
        JRCapture.CaptureOnlyClientArea = CheckBox2.Checked
    End Sub
    Private Sub CheckBox3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox3.CheckedChanged
        JRCapture.CaptureMouseCursor = CheckBox3.Checked
    End Sub
    Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged
        JRCapture.CaptureDelayMs = Val(TextBox1.Text)
    End Sub
    Private Sub CheckBox4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox4.CheckedChanged
        JRCapture.CopyToClipboard = CheckBox4.Checked
    End Sub
#End Region

#Region "form and menue handling"

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        TextBox1.Text = JRCapture.CaptureDelayMs
        CheckBox1.Checked = JRCapture.PlaySound

        CheckBox2.Checked = JRCapture.CaptureOnlyClientArea
        CheckBox3.Checked = JRCapture.CaptureMouseCursor

        CheckBox4.Checked = JRCapture.CopyToClipboard

        'you are a software developer? 
        'please order your serialnumber and regcode at www.jrsoft.de
        JRCapture.SerialNumber = 0
        JRCapture.RegCode = 0


        If JRCapture.IsDemoVersion Then
            Me.Text = "JRCapture .Net dll V" + JRCapture.Version + " demo for software developers to test all functions"
        Else
            Me.Text = "JRCapture .Net dll V" + JRCapture.Version + " this is a sample program for software developers to test all the functions."
        End If
    End Sub
    Private Sub CaptureDesktop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DesktopToolStripMenuItem.Click
        Desktop_Click(sender, e)
    End Sub
    Private Sub CaptureActiveWindow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ActiveWindowToolStripMenuItem.Click
        ActiveWindow_Click(sender, e)
    End Sub
    Private Sub CaptureRectangelArea_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RectangelAreaToolStripMenuItem.Click
        RectangelArea_Click(sender, e)
    End Sub
    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Application.Exit()
    End Sub
#End Region

  
End Class
